GETLeague statistics, current season
Season totals of the current season of a league: matches, goals, cards, clean sheets, goal ranges and goal lines.
/v2.2/stats/ with t=league
Try it in the interactive referenceAll Statistics operations
Request
GET /v2.2/stats/?user=USER&token=TOKEN&t=league&id=1005- Every request needs the
userandtokenquery parameters of the account.
Parameters
| Name | Required | Description | Example |
|---|---|---|---|
id | yes | Resource ID: league ID for league, season ID for season, team ID for team, player ID for player, match ID for match. | 1005 |
Example response
{
"data": {
"season_id": 15287,
"league_id": 1005,
"number_of_teams": 12,
"number_of_matches": 132,
"number_of_matches_played": 120,
"team_most_scored": {
"id": "104",
"total_goals": 42
},
"player_most_scored": {
"id": "99689",
"total_goals": 10
},
"substituted_in": {
"total": 370,
"avg_per_match": 3.08,
"avg_every_minutes": 0
},
"assists": {
"total": 216,
"avg_per_match": 1.8,
"avg_every_minutes": 0
},
"cards": {
"total": {
"total": 512,
"avg_per_match": 4.27,
"avg_every_minutes": 21
},
"yellow": {
"total": 484,
"avg_per_match": 4.03,
"avg_every_minutes": 22
},
"yellowred": {
"total": 12,
"avg_per_match": 0.1,
"avg_every_minutes": 900
},
"red": {
"total": 16,
"avg_per_match": 0.13,
"avg_every_minutes": 675
}
},
"goals": {
"overall": {
"total": 317,
"percentage_total_goals": 100,
"avg_per_match": 2.64,
"avg_every_minutes": 34
},
"home": {
"total": 164,
"percentage_total_goals": 51.74,
"avg_per_match": 1.37,
"avg_every_minutes": 66
},
"away": {
"total": 153,
"percentage_total_goals": 48.26,
"avg_per_match": 1.28,
"avg_every_minutes": 71
}
},
"clean_sheets": {
"overall": {
"total": 60,
"avg_per_match": 50
},
"home": {
"total": 34,
"avg_per_match": 28.33
},
"away": {
"total": 26,
"avg_per_match": 21.67
}
},
"goals_scored_range": {
"0-15": {
"total": 44,
"percentage_total_goals": 13.88
},
"15-30": {
"total": 50,
"percentage_total_goals": 15.77
},
"30-45": {
"total": 62,
"percentage_total_goals": 19.56
},
"45-60": {
"total": 40,
"percentage_total_goals": 12.62
},
"60-75": {
"total": 52,
"percentage_total_goals": 16.4
},
"75-90": {
"total": 69,
"percentage_total_goals": 21.77
},
"90-120": {
"total": 0,
"percentage_total_goals": 0
}
},
"goal_line": {
"over": {
"0.5": {
"total": 114,
"percentage_total_matches": 95
},
"1.5": {
"total": 92,
"percentage_total_matches": 76.67
},
"2.5": {
"total": 62,
"percentage_total_matches": 51.67
},
"3.5": {
"total": 33,
"percentage_total_matches": 27.5
},
"4.5": {
"total": 11,
"percentage_total_matches": 9.17
},
"5.5": {
"total": 4,
"percentage_total_matches": 3.33
}
},
"under": {
"0.5": {
"total": 6,
"percentage_total_matches": 5
},
"1.5": {
"total": 28,
"percentage_total_matches": 23.33
},
"2.5": {
"total": 58,
"percentage_total_matches": 48.33
},
"3.5": {
"total": 87,
"percentage_total_matches": 72.5
},
"4.5": {
"total": 109,
"percentage_total_matches": 90.83
},
"5.5": {
"total": 116,
"percentage_total_matches": 96.67
}
}
}
},
"meta": {
"requests_left": 2950,
"user": "your_username",
"plan": "Soccer API 50",
"page": 1,
"pages": 1,
"count": 1,
"total": 1,
"msg": ""
}
}